import api from '@/utils/request';

export const getList = params =>
	api.post(`/yxl-back-end/admin/photo-warehouse/page`, params);
export const getItem = ({ id, ...params }) =>
	api.get(`/yxl-back-end/admin/photo-warehouse/${id}`, params);
export const saveItem = ({ id, ...params }) =>
	api.post(`/yxl-back-end/admin/photo-warehouse/save`, params);
export const delItem = ({ id, ...params }) =>
	api.del(`/yxl-back-end/admin/photo-warehouse/${id}`, params);
export const auditItem = params =>
	api.post(`/yxl-back-end/admin/photo-warehouse/audit`, params);
export const updateItem = ({ id, ...params }) =>
	api.put(`/yxl-back-end/admin/photo-warehouse/${id}`, params);
